Обновление PHP до 7.3 Vesta CP

Начиная с 1.7… версий разработчики MailWizz полностью переходят на обновленную версию php, для корректной работы программы требуется минимальная версию 7.2

ОС: Centoc 7 / 6

Проверить Вашу версию PHP можно командой

php -v

Шаг1: Установите Remi и EPEL репозиторий на ваш сервер:

wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-6.noarch.rpm
wget http://rpms.remirepo.net/enterprise/remi-release-6.rpm
rpm -Uvh remi-release-6.rpm epel-release-latest-6.noarch.rpm

Шаг2: Запустите эти команды одну за другой в CentOS

yum install yum-utils
yum-config-manager --enable remi-php73

Шаг3:

yum update -y

Перезагрузите сервер и проверьте версию php командой php -v

Шаг1: Установите Remi и EPEL репозиторий на ваш сервер:

wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
wget http://rpms.remirepo.net/enterprise/remi-release-7.rpm
rpm -Uvh remi-release-7.rpm epel-release-latest-7.noarch.rpm

Шаг2: Запустите эти команды одну за другой в CentOS

yum install yum-utils
yum-config-manager --enable remi-php73

Шаг3:

yum update -y

Перезагрузите сервер и проверьте версию php командой php -v

Устранение проблем
Если процесс обновления php не удается (обновление не происходит), или вы обновились ранее с 5.6 до 7.0/7.1/7.2 тогда вам нужно запустить эту команду, чтобы отключить php 5.6/7.0/7.1/7.2 :

yum-config-manager --disable remi-php56
yum-config-manager --disable remi-php70
yum-config-manager --disable remi-php71
yum-config-manager --disable remi-php72

После этого снова следуйте инструкциям из 2 ШАГА.

0

my-mails.ru

Всегда On-Line

Авторизация
*
*

Капча загружается...


Генерация пароля

Капча загружается...


51276208